Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.0.3 generated on February 20 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.jdbc.schema
Class Index

    java.lang.Object
      |
      +--kodo.jdbc.schema.Index

public class Index
extends Object

Represents a database index.

Method Summary
`void` | `addColumn(Column col)` Add a column to the index.
`boolean` | `columnsMatch(Column[] idxCols)` Return true if the given columns match the columns of this index.
`int` | `compareTo(Object other)` Order on name.
`boolean` | `containsColumn(Column col)` Return true if the index includes the given column.
`boolean` | `equals(Object other)` Indexes are equal if they have the same name, the same columns, and are both unique/not unique.
`Column[]` | `getColumns()` Return all the columns the index spans.
`String` | `getFullName()` Return the index name, including schema.
`String` | `getName()` Return the name of the index.
`Table` | `getTable()` Return the table of the index.
`boolean` | `isUnique()` Return true if this is a UNIQUE index.
`boolean` | `removeColumn(Column col)` Remove a column from the index.
`void` | `setColumns(Column[] cols)` Set the index's columns.
`void` | `setUnique(boolean unique)` Set whether this is a UNIQUE index.
`String` | `toString()` Returns the index name.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getTable

    public Table getTable()

  Return the table of the index.

### getName

    public String getName()

  Return the name of the index.

### getFullName

    public String getFullName()

  Return the index name, including schema.

### isUnique

    public boolean isUnique()

  Return true if this is a UNIQUE index.

### setUnique

    public void setUnique(boolean unique)

  Set whether this is a UNIQUE index.

### getColumns

    public Column[] getColumns()

  Return all the columns the index spans.

### setColumns

    public void setColumns(Column[] cols)

  Set the index's columns.

### addColumn

    public void addColumn(Column col)

  Add a column to the index.

### removeColumn

    public boolean removeColumn(Column col)

  Remove a column from the index.
  Returns:
    true if the column was removed, false if not part of the index

### containsColumn

    public boolean containsColumn(Column col)

  Return true if the index includes the given column.

### compareTo

    public int compareTo(Object other)

  Order on name.

### toString

    public String toString()

  Returns the index name.
  Overrides:
    `toString` in class `Object`

### equals

    public boolean equals(Object other)

  Indexes are equal if they have the same name, the same columns, and are both unique/not unique.
  Overrides:
    `equals` in class `Object`

### columnsMatch

    public boolean columnsMatch(Column[] idxCols)

  Return true if the given columns match the columns of this index.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.0.3 generated on February 20 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.